<template>
  <div>
    <!-- Navegador -->
    <div style="margin-top: 18vh">
      <!-- BUSCADOR -->
      <el-row  style="margin-top: 10rem; margin-bottom: 4rem;">
        <el-col :span="8" :offset="14">
            <div style="color: #ff5000; padding-bottom: 20px; font-size: 18px;">Buscar por Proveedor</div>
            <el-autocomplete
              class="inline-input"
              style="width: 100%;"
              v-model="state1"
              :fetch-suggestions="querySearch"
              placeholder="Seleccionar"
              :trigger-on-focus="false"
              @select="handleSelect"
            >
            <template slot-scope="props">
              <div>{{ props.item.providerName }}</div>
            </template>
            </el-autocomplete>   
          <!-- <el-col :span="15"  style="margin-top: 1.2rem">
            <div>
              <el-button @click="goToContractsProvider" type="primary" >BUSCAR</el-button>
            </div>
          </el-col> -->
        </el-col>      
      </el-row>
      <div class="titleMenuPrincipal" style="margin: 0 6rem;">
        REVISIÓN DE MATERIALES
      </div>
      <el-row class='contenedor-cards'>
        <el-col :span="6" class="text-center" style="padding: 0 30px;">
          <app-cardReviewHome  @goTo="goToMatEnla" :titleTop="false" :titleBottom="true" :textBottomA="'MATERIALES'" 
                              :textBottomB="'ENLATADOS'" :rutaImg="require(`../../assets/images/rev-icon-1.svg`)" :styleCard="'border-card-menu'" :styleTitleBottom="'title-menu'">
          </app-cardReviewHome>
        </el-col>
        <el-col :span="6" class="text-center" style="padding: 0 30px;">
          <app-cardReviewHome @goTo="goToMembership()" :titleTop="false" :titleBottom="true" :textBottomA="'AFILIACIÓN'" 
                              :textBottomB="''" :rutaImg="require(`../../assets/images/rev-icon-2.svg`)" :styleCard="'border-card-menu'" :styleTitleBottom="'title-menu'">
          </app-cardReviewHome>
        </el-col>
        <el-col :span="6" class="text-center" style="padding: 0 30px;">
          <app-cardReviewHome  @goTo="goToProdNac('REVISIÓN')" :titleTop="false" :titleBottom="true" :textBottomA="'PRODUCCIÓN'" 
                              :textBottomB="'NACIONAL'" :rutaImg="require(`../../assets/images/rev-icon-1.svg`)" :styleCard="'border-card-menu'" :styleTitleBottom="'title-menu'">
          </app-cardReviewHome>
        </el-col>
        <el-col :span="6" class="text-center" style="padding: 0 30px;">
          <app-cardReviewHome  @goTo="goToFusGour('Fusión Gourmet')"  :titleTop="false" :titleBottom="true" :textBottomA="'FUSIÓN'" 
                              :textBottomB="'GOURMET'" :rutaImg="require(`../../assets/images/rev-icon-2.svg`)" :styleCard="'border-card-menu'" :styleTitleBottom="'title-menu'">
          </app-cardReviewHome>
        </el-col>
      </el-row>
    </div>
  </div>
</template>
<style>
.contenedor-cards {
  margin: 2rem 4rem 5rem
}
</style>

<script>
  // @ is an alias to /src

  import cardReviewHome from '@/components/cardReviewHome.vue'
  import { HTTP } from '../../main.js'

  export default {
    components: {
      'app-cardReviewHome': cardReviewHome,
    },
    data() {
      return {
        state1: '',
        codProvider: '',
      }
    },
    created() {
      this.getProviders()
      this.setDataStore()
    },
    methods: {
      goToContractsProvider() {
        this.$router.push({ name: "contractsProvider" })
      },
      handleSelect(item) {
        console.log(item);
        this.state1 = item.providerName
        this.codProvider = item.providerCod
        localStorage.setItem('providerNameContract', this.state1);
        localStorage.setItem('providerCodeContract', this.codProvider);
        this.goToContractsProvider()
      }, 
      querySearch(queryString, cb) {
        var links = this.links;
        var results = queryString ? links.filter(this.createFilter(queryString)) : links;
        console.log(results, 'results')
        cb(results);
      },
      createFilter(queryString) {
        return (link) => {
          return (link.providerName.toLowerCase().indexOf(queryString.toLowerCase()) === 0);
        };
      },
      getProviders() {
        HTTP.get('providers/')
          .then(res => {
            // console.log(res.data[0].providers[0].providerName, 'res.data.contractName')
            this.links = res.data[0].providers
            // console.log(this.links,'links')
          })
          .catch(err => {
            console.log(err);
          });
      },
      goToMatEnla() {
        this.$localStorage.set('afiliado', false )
        this.$localStorage.set('classification', 'ENLATADOS')
        this.$router.push({ name: 'materialesEnlatados', params: { canned: true } });
      },
      goToProdNac(text) {
        this.$localStorage.set('afiliado', false )
        this.$localStorage.set('classification', 'PRODUCCIÓN NACIONAL')
        this.$router.push({ name: 'produccionNacional', params: { canned: false }  })
      },
      goToFusGour(string) {
        this.$localStorage.set('afiliado', false )
        this.$localStorage.set('typeMaterialR', string)
        this.$localStorage.set('classification', 'FUSIÓN GOURMET')
        this.$router.push({ name: 'tiposFusionRevision' })
      },
      goToMembership() {
        this.$localStorage.set('afiliado', true )
        this.$router.push({ name: 'revListaAfiliados' })
      },
      setDataStore() {
        let typesOf = ['Novelas', 'Series', 'Dibujos', 'Largometrajes', 'Miniseries', 'Especial', 'Cocina', 'Entretenimiento', 'Miniseries', 'Magazine', 'Deportivo', 'Femenino', 'Periodístico', 'Electoral', 'Entrevista', 'Microprograma', 'Cómico', 'Religioso', 'Talkshow', 'Político', 'Infantil']
        // 'ProgramEspecial'
        
        typesOf.forEach((type, i) => {
          let payload = {
            type: 'materials',
            typeFilter: 'materialType',
            typeOfContent: type,
            typeMaterial: 'Enlatado',
            typeFilter2: 'providerName'
          }
          this.$store.dispatch('getDataFilters', payload)
        })
      }
    }
  }
</script>